Pregunta sobre Getwid - Gutenberg Blocks de Wordpress:

La API de Youtube entra en conflicto con otros escenarios

Un usuario pregunt贸 馃憞

Getwid incluye un recordatorio global de JS ‘onYouTubeIframeAPIReady’ en cada p谩gina. Esto evita que cualquier plugin u otro c贸digo personalizado utilice esta API.

Una soluci贸n ser铆a incluir esto solo cuando el bloque asociado est茅 presente en una p谩gina, y / o poner esta parte del script a trav茅s del sistema de puesta en cola de WP para que se pueda poner en cola desde functions.php si no necesito.

Este tema fue modificado hace 5 meses por.

(@dimned)

Hace 5 meses, 1 semana

Hola @alfiebevensix, No hemos tenido ning煤n conflicto antes. 驴Podr铆a especificar los plugins que estaban en conflicto con Getwid?

(@alfiebevensix)

Hace 5 meses, 1 semana

Hola @dimned,

Nuestro conflicto es con el plugin ‘Gamipress YouTube Integration’. La raz贸n es que YT Player API requiere una funci贸n ‘window.onYouTubeIframeAPIReady ()’ para ser utilizada como recuperaci贸n.

Debido a que Getwid incluye esta API y el c贸digo relacionado a nivel mundial, excepto cuando se cargan los widgets de YouTube, Gamipress no puede redefinir ‘window.onYouTubeIframeAPIReady ()’ para su integraci贸n de YouTube porque la funci贸n ya est谩 definida de los scripts Getwid.

Espero que esto ayude a aclarar.

Saludos, Alfie

(@dimned)

Hace 5 meses, 1 semana

Hola @alfiebevensix, Gracias por la informaci贸n proporcionada. Puse la informaci贸n a disposici贸n de nuestros desarrolladores. Le avisaremos cuando tengamos alguna noticia sobre esta solicitud. Lo siento por los inconvenientes ocasionados.

驴Solucion贸 tu problema??

0 / 0

Deja una respuesta 0

Tu direcci贸n de correo electr贸nico no ser谩 publicada. Los campos obligatorios est谩n marcados con *